跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Assistants

Create an assistant

POST /openai/v1/assistants 已被取代

Creates an assistant from the supplied request.

要求本文

The request body.

Content-Type: application/json
model string | enum 必要 已被取代

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

以下任何一項:
string 已被取代
enum 已被取代
gpt-5gpt-5-minigpt-5-nanogpt-5-2025-08-07gpt-5-mini-2025-08-07gpt-5-nano-2025-08-07gpt-4.1gpt-4.1-minigpt-4.1-nanogpt-4.1-2025-04-14gpt-4.1-mini-2025-04-14gpt-4.1-nano-2025-04-14o3-minio3-mini-2025-01-31o1o1-2024-12-17gpt-4ogpt-4o-2024-11-20gpt-4o-2024-08-06gpt-4o-2024-05-13gpt-4o-minigpt-4o-mini-2024-07-18gpt-4.5-previewgpt-4.5-preview-2025-02-27gpt-4-turbogpt-4-turbo-2024-04-09gpt-4-0125-previewgpt-4-turbo-previewgpt-4-1106-previewgpt-4-vision-previewgpt-4gpt-4-0314gpt-4-0613gpt-4-32kgpt-4-32k-0314gpt-4-32k-0613gpt-3.5-turbogpt-3.5-turbo-16kgpt-3.5-turbo-0613gpt-3.5-turbo-1106gpt-3.5-turbo-0125gpt-3.5-turbo-16k-0613
name string | null 已被取代
description string | null 已被取代
instructions string | null 已被取代
reasoning_effort string | enum | null 已被取代

Constrains effort on reasoning for reasoning models. Currently supported values are none, minimal, low, medium, high, xhigh, and max. Reducing reasoning effort can result in faster responses and fewer tokens used on reasoning in a response. Not all reasoning models support every value. See the reasoning guide for model-specific support.

以下任何一項:
string 已被取代
enum 已被取代
noneminimallowmediumhighxhighmax
tools OpenAI.AssistantTool[] 已被取代

A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types code_interpreter, file_search, or function.

tool_resources OpenAI.CreateAssistantRequestToolResources | null 已被取代
code_interpreter OpenAI.CreateAssistantRequestToolResourcesCodeInterpreter 已被取代
file_ids string[] 已被取代
file_search OpenAI.CreateAssistantRequestToolResourcesFileSearch 已被取代
vector_store_ids string[] 已被取代
vector_stores OpenAI.CreateAssistantRequestToolResourcesFileSearchVectorStores[] 已被取代
metadata OpenAI.Metadata | null 已被取代

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string 已被取代
temperature number | null 已被取代
top_p number | null 已被取代
response_format enum | OpenAI.ResponseFormatText | OpenAI.ResponseFormatJsonObject | OpenAI.ResponseFormatJsonSchema | null 已被取代

Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106. Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide. Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important:* when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.

下列其中一項:
enum 已被取代
auto
type enum 必要 已被取代

The type of response format being defined. Always text.

text
type enum 必要 已被取代

The type of response format being defined. Always json_object.

json_object
type enum 必要 已被取代

The type of response format being defined. Always json_schema.

json_schema
json_schema OpenAI.ResponseFormatJsonSchemaJsonSchema 必要 已被取代
description string 已被取代
name string 必要 已被取代
schema OpenAI.ResponseFormatJsonSchemaSchema 已被取代

The schema for the response format, described as a JSON Schema object. Learn how to build JSON schemas here.

strict boolean | null 已被取代

回覆

The request has succeeded.

主體

Content-Type: application/json
id string 必要 已被取代

The identifier, which can be referenced in API endpoints.

object enum 必要 已被取代

The object type, which is always assistant.

assistant
created_at integer 必要 已被取代

The Unix timestamp (in seconds) for when the assistant was created.

name string | null 必要 已被取代
description string | null 必要 已被取代
model string 必要 已被取代

ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.

instructions string | null 必要 已被取代
tools OpenAI.AssistantTool[] 必要 已被取代

A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types code_interpreter, file_search, or function.

tool_resources OpenAI.AssistantObjectToolResources | null 已被取代
code_interpreter OpenAI.AssistantObjectToolResourcesCodeInterpreter 已被取代
file_ids string[] 已被取代
file_search OpenAI.AssistantObjectToolResourcesFileSearch 已被取代
vector_store_ids string[] 已被取代
metadata OpenAI.Metadata | null 必要 已被取代

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string 已被取代
temperature number | null 已被取代
top_p number | null 已被取代
response_format enum | OpenAI.ResponseFormatText | OpenAI.ResponseFormatJsonObject | OpenAI.ResponseFormatJsonSchema | null 已被取代

Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106. Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide. Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important:* when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.

下列其中一項:
enum 已被取代
auto
type enum 必要 已被取代

The type of response format being defined. Always text.

text
type enum 必要 已被取代

The type of response format being defined. Always json_object.

json_object
type enum 必要 已被取代

The type of response format being defined. Always json_schema.

json_schema
json_schema OpenAI.ResponseFormatJsonSchemaJsonSchema 必要 已被取代
description string 已被取代
name string 必要 已被取代
schema OpenAI.ResponseFormatJsonSchemaSchema 已被取代

The schema for the response format, described as a JSON Schema object. Learn how to build JSON schemas here.

strict boolean | null 已被取代

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要 已被取代
code string | null 必要 已被取代
message string 必要 已被取代
param string | null 已被取代
type string 已被取代
misalignment OpenAI.MisalignmentErrorDetailsResource 已被取代
review_target string | null 已被取代
error_type string | enum 已被取代
以下任何一項:
string 已被取代
enum 已被取代
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string 已被取代

The public explanation for this block.

steer OpenAI._MisalignmentSteer 已被取代
message string 必要 已被取代

The public continuation instruction.

details OpenAI.Error[] 已被取代

Additional errors that contributed to this failure.

additionalInfo object 已被取代

Additional structured information about the failure.

debugInfo object 已被取代

Diagnostic information supplied by the service for troubleshooting.

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要 已被取代
code string | null 必要 已被取代
message string 必要 已被取代
param string | null 已被取代
type string 已被取代
misalignment OpenAI.MisalignmentErrorDetailsResource 已被取代
review_target string | null 已被取代
error_type string | enum 已被取代
以下任何一項:
string 已被取代
enum 已被取代
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string 已被取代

The public explanation for this block.

steer OpenAI._MisalignmentSteer 已被取代
message string 必要 已被取代

The public continuation instruction.

details OpenAI.Error[] 已被取代

Additional errors that contributed to this failure.

additionalInfo object 已被取代

Additional structured information about the failure.

debugInfo object 已被取代

Diagnostic information supplied by the service for troubleshooting.

Request

curl "https://api.openai.com/v1/assistants" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -d '{
    "instructions": "You are a personal math tutor. When asked a question, write and run Python code to answer the question.",
    "name": "Math Tutor",
    "tools": [{"type": "code_interpreter"}],
    "model": "gpt-4o"
  }'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
assistant = client.beta.assistants.create(
    model="gpt-4o",
)
print(assistant.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const myAssistant = await openai.beta.assistants.create({
    instructions:
      "You are a personal math tutor. When asked a question, write and run Python code to answer the question.",
    name: "Math Tutor",
    tools: [{ type: "code_interpreter" }],
    model: "gpt-4o",
  });

  console.log(myAssistant);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const assistant = await client.beta.assistants.create({ model: 'gpt-4o' });

console.log(assistant.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
    "github.com/openai/openai-go/shared"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    assistant, err := client.Beta.Assistants.New(context.TODO(), openai.BetaAssistantNewParams{
        Model: shared.ChatModelGPT4o,
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", assistant.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.ChatModel;
import com.openai.models.beta.assistants.Assistant;
import com.openai.models.beta.assistants.AssistantCreateParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        AssistantCreateParams params = AssistantCreateParams.builder()
            .model(ChatModel.GPT_4O)
            .build();
        Assistant assistant = client.beta().assistants().create(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

assistant = openai.beta.assistants.create(model: :"gpt-4o")

puts(assistant)

回應

{
  "id": "asst_abc123",
  "object": "assistant",
  "created_at": 1698984975,
  "name": "Math Tutor",
  "description": null,
  "model": "gpt-4o",
  "instructions": "You are a personal math tutor. When asked a question, write and run Python code to answer the question.",
  "tools": [
    {
      "type": "code_interpreter"
    }
  ],
  "metadata": {},
  "top_p": 1.0,
  "temperature": 1.0,
  "response_format": "auto"
}

Request

curl https://api.openai.com/v1/assistants \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -d '{
    "instructions": "You are an HR bot, and you have access to files to answer employee questions about company policies.",
    "tools": [{"type": "file_search"}],
    "tool_resources": {"file_search": {"vector_store_ids": ["vs_123"]}},
    "model": "gpt-4o"
  }'
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
assistant = client.beta.assistants.create(
    model="gpt-4o",
)
print(assistant.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const myAssistant = await openai.beta.assistants.create({
    instructions:
      "You are an HR bot, and you have access to files to answer employee questions about company policies.",
    name: "HR Helper",
    tools: [{ type: "file_search" }],
    tool_resources: {
      file_search: {
        vector_store_ids: ["vs_123"]
      }
    },
    model: "gpt-4o"
  });

  console.log(myAssistant);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const assistant = await client.beta.assistants.create({ model: 'gpt-4o' });

console.log(assistant.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
    "github.com/openai/openai-go/shared"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    assistant, err := client.Beta.Assistants.New(context.TODO(), openai.BetaAssistantNewParams{
        Model: shared.ChatModelGPT4o,
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", assistant.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.ChatModel;
import com.openai.models.beta.assistants.Assistant;
import com.openai.models.beta.assistants.AssistantCreateParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        AssistantCreateParams params = AssistantCreateParams.builder()
            .model(ChatModel.GPT_4O)
            .build();
        Assistant assistant = client.beta().assistants().create(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

assistant = openai.beta.assistants.create(model: :"gpt-4o")

puts(assistant)

回應

{
  "id": "asst_abc123",
  "object": "assistant",
  "created_at": 1699009403,
  "name": "HR Helper",
  "description": null,
  "model": "gpt-4o",
  "instructions": "You are an HR bot, and you have access to files to answer employee questions about company policies.",
  "tools": [
    {
      "type": "file_search"
    }
  ],
  "tool_resources": {
    "file_search": {
      "vector_store_ids": ["vs_123"]
    }
  },
  "metadata": {},
  "top_p": 1.0,
  "temperature": 1.0,
  "response_format": "auto"
}
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026